Bug 589066 - abrt floods the screen with notifications probably when rhythmbox crashes
abrt floods the screen with notifications probably when rhythmbox crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 06:08 EDT by Till Maas
Modified: 2010-12-03 10:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2010-05-05 06:08:35 EDT
Description of problem:
It seems that something crashes when I listen to a audio cd using rhythmbox and abrt is not able to handle it properly and creates a lot of notifications.

/var/log/messages also contains around 1907 lines like these:

May  5 11:57:18 genius abrtd: Size of '/var/cache/abrt' >= 1000 MB, deleting 'ccpp-1269012214-3695'
May  5 11:57:18 genius abrtd: Error in SQL:'BEGIN TRANSACTION;CREATE TABLE abrt_v4(UUID VARCHAR NOT NULL,UID VARCHAR NOT NULL,InformAll INT NOT NULL DEFAULT 0,DebugDumpPath VARCHAR NOT NULL,Count INT NOT NULL DEFAULT 1,Reported INT NOT NULL DEFAULT 0,Time VARCHAR NOT NULL DEFAULT 0,Message VARCHAR NOT NULL DEFAULT '',PRIMARY KEY (UUID,UID));INSERT INTO abrt_v4 SELECT UUID,UID,0,DebugDumpPath,Count,Reported,Time,Message FROM abrt_v3;DROP TABLE abrt_v3;UPDATE abrt_v4 SET UID='0', InformAll=1 WHERE UID='-1';CREATE TABLE abrt_v4_reportresult (UUID VARCHAR NOT NULL,UID VARCHAR NOT NULL,Reporter VARCHAR NOT NULL,Message VARCHAR NOT NULL DEFAULT '',PRIMARY KEY (UUID,UID,Reporter));INSERT INTO abrt_v4_reportresult SELECT * FROM abrt_v3_reportresult;DROP TABLE abrt_v3_reportresult;COMMIT;' error: database is locked
May  5 11:57:18 genius abrtd: Size of '/var/cache/abrt' >= 1000 MB, deleting 'ccpp-1269012214-3695'

The notifications that I can see say that MaxCrashReportsSize should be checked, because the "report size" is bigger than the maximum size. The message is in German and I translated it back to English.

Version-Release number of selected component (if applicable):
abrt-1.0.9-1.fc12

How reproducible:
it already happened twice

Steps to Reproduce:
1. listen to a audio cd in rhytmbox
2. wait for it to crash(?)

  
Actual results:
abrt creates lots of notifications

Expected results:
abrt should probably only create one notification, because it seems to be a problem it is hitting several times.

Additional info:
The abrt tool does also not show any reports anymore, which is a bit worrying, because it seems it also deleted all my old reports. :-/
Comment 1 Jiri Moskovcak 2010-05-05 06:34:37 EDT
ABRT has a quota (1GB) to limit the space taken by the saved crash reports, if the quota is exceeded (that's the case here) it starts removing old/big crashes so it can save the new one.

J.
Comment 2 Till Maas 2010-05-05 06:56:56 EDT
(In reply to comment #1)
> ABRT has a quota (1GB) to limit the space taken by the saved crash reports, if
> the quota is exceeded (that's the case here) it starts removing old/big crashes
> so it can save the new one.

Oh, there is still 1.3G at /var/cache/abrt and it also contains old data, but it does not show anything if I open it from the menu. And there are dirs that are owned by my user or in the group of my user. Btw. dmesg also shows a segfault:
rhythmbox[4476]: segfault at c00002c926 ip 00000035c38620fe sp 00007fa6f3161b30 error 4 in libgstreamer-0.10.so.0.24.1[35c3800000+da000]
and there seems to be a matching dir with a matching cmdline: rhythmbox '/home/till/.gvfs/CDDA-Medium in sr0'
Comment 3 Till Maas 2010-05-13 16:08:20 EDT
(In reply to comment #1)
> ABRT has a quota (1GB) to limit the space taken by the saved crash reports, if
> the quota is exceeded (that's the case here) it starts removing old/big crashes
> so it can save the new one.

This seems not to be working here I guess. For every crash abrt catches I get now flooded with these notifications so it is unrelated with rhythmbox.
Comment 4 Bug Zapper 2010-11-03 11:35:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:03:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.